## org.apache.batik.bridge
Class SVGAnimationElementBridge.SVGTimedElement

    java.lang.Object
      org.apache.batik.anim.timing.TimedElement
          org.apache.batik.bridge.SVGAnimationElementBridge.SVGTimedElement

All Implemented Interfaces:
  SMILConstants

Enclosing class:
  SVGAnimationElementBridge

    protected class SVGAnimationElementBridge.SVGTimedElement

extends TimedElement

A TimedElement class for SVG animation elements.

Field Summary

Fields inherited from class org.apache.batik.anim.timing.TimedElement

`beginDependents, beginInstanceTimes, beginTimes, currentInterval, currentRepeatIteration, durMedia, endDependents, endInstanceTimes, endTimes, FILL_FREEZE, FILL_REMOVE, fillMode, handledEvents, hasParsed, hasPropagated, INDEFINITE, isActive, isFrozen, isSampling, lastIntervalEnd, lastRepeatTime, lastSampleTime, localizableSupport, max, maxMedia, min, minMedia, parent, previousInterval, repeatCount, repeatDur, repeatDuration, RESOURCES, RESTART_ALWAYS, RESTART_NEVER, RESTART_WHEN_NOT_ACTIVE, restartMode, root, shouldUpdateCurrentInterval, simpleDur, UNRESOLVED`

Fields inherited from interface org.apache.batik.util.SMILConstants

`SMIL_ACCUMULATE_ATTRIBUTE, SMIL_ADDITIVE_ATTRIBUTE, SMIL_ALWAYS_VALUE, SMIL_ANIMATE_COLOR_TAG, SMIL_ANIMATE_MOTION_TAG, SMIL_ANIMATE_TAG, SMIL_ATTRIBUTE_NAME_ATTRIBUTE, SMIL_ATTRIBUTE_TYPE_ATTRIBUTE, SMIL_AUTO_VALUE, SMIL_BEGIN_ATTRIBUTE, SMIL_BEGIN_DEFAULT_VALUE, SMIL_BEGIN_EVENT_NAME, SMIL_BY_ATTRIBUTE, SMIL_CALC_MODE_ATTRIBUTE, SMIL_CSS_VALUE, SMIL_DEFAULT_VALUE, SMIL_DISCRETE_VALUE, SMIL_DUR_ATTRIBUTE, SMIL_END_ATTRIBUTE, SMIL_END_EVENT_NAME, SMIL_FILL_ATTRIBUTE, SMIL_FREEZE_VALUE, SMIL_FROM_ATTRIBUTE, SMIL_HOLD_VALUE, SMIL_INDEFINITE_VALUE, SMIL_KEY_POINTS_ATTRIBUTE, SMIL_KEY_SPLINES_ATTRIBUTE, SMIL_KEY_TIMES_ATTRIBUTE, SMIL_LINEAR_VALUE, SMIL_MAX_ATTRIBUTE, SMIL_MEDIA_VALUE, SMIL_MIN_ATTRIBUTE, SMIL_NEVER_VALUE, SMIL_NONE_VALUE, SMIL_ORIGIN_ATTRIBUTE, SMIL_PACED_VALUE, SMIL_PATH_ATTRIBUTE, SMIL_REMOVE_VALUE, SMIL_REPEAT_COUNT_ATTRIBUTE, SMIL_REPEAT_DUR_ATTRIBUTE, SMIL_REPEAT_EVENT_ALT_NAME, SMIL_REPEAT_EVENT_NAME, SMIL_REPLACE_VALUE, SMIL_RESTART_ATTRIBUTE, SMIL_SET_TAG, SMIL_SPLINE_VALUE, SMIL_SUM_VALUE, SMIL_TO_ATTRIBUTE, SMIL_VALUES_ATTRIBUTE, SMIL_WHEN_NOT_ACTIVE_VALUE, SMIL_XML_VALUE`

Constructor Summary
`protected` `SVGAnimationElementBridge.SVGTimedElement()`

Method Summary
`protected void` `fireTimeEvent(java.lang.String eventType, java.util.Calendar time, int detail)` Fires a TimeEvent of the given type on this element.
`protected EventTarget` `getAnimationEventTarget()` Returns the target of this animation as an `EventTarget`.
`org.w3c.dom.Element` `getElement()` Returns the DOM element this timed element is for.
`protected EventTarget` `getEventTargetById(java.lang.String id)` Returns the event target with the given ID.
`protected EventTarget` `getRootEventTarget()` Returns the event target that should be listened to for access key events.
`protected TimedElement` `getTimedElementById(java.lang.String id)` Returns the timed element with the given ID.
`boolean` `isBefore(TimedElement other)` Returns whether this timed element comes before the given timed element in document order.
`protected boolean` `isConstantAnimation()` Returns whether this timed element is for a constant animation (i.e., a 'set' animation.
`protected void` `removeFill()` Invoked to indicate that this timed element has had its fill removed.
`protected void` `sampledAt(float simpleTime, float simpleDur, int repeatIteration)` Invoked to indicate that this timed element has been sampled at the given time.
`protected void` `sampledLastValue(int repeatIteration)` Invoked to indicate that this timed element has been sampled at the end of its active time, at an integer multiple of the simple duration.
`protected void` `toActive(float begin)` Invoked to indicate this timed element became active at the specified time.
`protected void` `toInactive(boolean stillActive, boolean isFrozen)` Invoked to indicate that this timed element became inactive.
`java.lang.String` `toString()` Returns a string representation of this animation.

Methods inherited from class org.apache.batik.anim.timing.TimedElement

`addDependent, addInstanceTime, beginElement, beginElement, canBegin, canEnd, computeInterval, createException, deinitialize, endElement, endElement, endHasEventConditions, fireTimeEvent, formatMessage, getActiveDur, getActiveTime, getCurrentBeginTime, getHyperlinkBeginTime, getImplicitDur, getLastSampleTime, getLocale, getRoot, getSimpleDur, getSimpleTime, initialize, instanceTimeChanged, isUnresolved, maxTime, minTime, minusTime, multiplyTime, notifyNewInterval, notifyRemoveInterval, parseAttributes, parseBegin, parseClockValue, parseDur, parseEnd, parseFill, parseMax, parseMin, parseRepeatCount, parseRepeatDur, parseRestart, removeDependent, removeInstanceTime, reset, sampleAt, selectNewInterval, setLocale, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SVGAnimationElementBridge.SVGTimedElement

    protected SVGAnimationElementBridge.SVGTimedElement()

Method Detail

### getElement

    public org.w3c.dom.Element getElement()

  Returns the DOM element this timed element is for.

  Specified by:
    `getElement` in class `TimedElement`

### fireTimeEvent

    protected void fireTimeEvent(java.lang.String eventType,
                                 java.util.Calendar time,
                                 int detail)

  Fires a TimeEvent of the given type on this element.

  Specified by:
    `fireTimeEvent` in class `TimedElement`
  Parameters:
    `eventType` - the type of TimeEvent ("beginEvent", "endEvent" or "repeatEvent").
    `time` - the timestamp of the event object

### toActive

    protected void toActive(float begin)

  Invoked to indicate this timed element became active at the specified time.

  Specified by:
    `toActive` in class `TimedElement`
  Parameters:
    `begin` - the time the element became active, in document simple time

### toInactive

    protected void toInactive(boolean stillActive,
                              boolean isFrozen)

  Invoked to indicate that this timed element became inactive.

  Specified by:
    `toInactive` in class `TimedElement`
  Parameters:
    `stillActive` - if true, indicates that the element is still actually active, but between the end of the computed repeat duration and the end of the interval
    `isFrozen` - whether the element is frozen or not

### removeFill

    protected void removeFill()

  Invoked to indicate that this timed element has had its fill removed.

  Specified by:
    `removeFill` in class `TimedElement`

### sampledAt

    protected void sampledAt(float simpleTime,
                             float simpleDur,
                             int repeatIteration)

  Invoked to indicate that this timed element has been sampled at the given time.

  Specified by:
    `sampledAt` in class `TimedElement`
  Parameters:
    `simpleTime` - the sample time in local simple time
    `simpleDur` - the simple duration of the element
    `repeatIteration` - the repeat iteration during which the element was sampled

### sampledLastValue

    protected void sampledLastValue(int repeatIteration)

  Invoked to indicate that this timed element has been sampled at the end of its active time, at an integer multiple of the simple duration. This is the "last" value that will be used for filling, which cannot be sampled normally.

  Specified by:
    `sampledLastValue` in class `TimedElement`

### getTimedElementById

    protected TimedElement getTimedElementById(java.lang.String id)

  Returns the timed element with the given ID.

  Specified by:
    `getTimedElementById` in class `TimedElement`

### getEventTargetById

    protected EventTarget getEventTargetById(java.lang.String id)

  Returns the event target with the given ID.

  Specified by:
    `getEventTargetById` in class `TimedElement`

### getRootEventTarget

    protected EventTarget getRootEventTarget()

  Returns the event target that should be listened to for access key events.

  Specified by:
    `getRootEventTarget` in class `TimedElement`

### getAnimationEventTarget

    protected EventTarget getAnimationEventTarget()

  Returns the target of this animation as an `EventTarget`. Used for eventbase timing specifiers where the element ID is omitted.

  Specified by:
    `getAnimationEventTarget` in class `TimedElement`

### isBefore

    public boolean isBefore(TimedElement other)

  Returns whether this timed element comes before the given timed element in document order.

  Specified by:
    `isBefore` in class `TimedElement`

### toString

    public java.lang.String toString()

  Returns a string representation of this animation.

  Overrides:
    `toString` in class `java.lang.Object`

### isConstantAnimation

    protected boolean isConstantAnimation()

  Returns whether this timed element is for a constant animation (i.e., a 'set' animation.

  Specified by:
    `isConstantAnimation` in class `TimedElement`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.